#ifndef	TOUCHPATH_GESTURE_ENGINE_H
#define	TOUCHPATH_GESTURE_ENGINE_H

#ifdef __cplusplus
extern "C" {
#endif
  
#include "system.h"

//-----------------------------------------------
// Gesture Codes
//-----------------------------------------------
#define PAN_UP                                  0x01
#define PAN_RIGHT                               0x02
#define PAN_DOWN                                0x03
#define PAN_LEFT                                0x04

#define NO_GESTURE                              0x00

#define ST_UP                                   0x01
#define ST_RIGHT                                0x02
#define ST_DOWN                                 0x03
#define ST_LEFT                                 0x04

#define ST_FLICK_SLOW_UP                        0x05
#define ST_FLICK_SLOW_RIGHT                     0x06
#define ST_FLICK_SLOW_DOWN                      0x07
#define ST_FLICK_SLOW_LEFT                      0x08

#define ST_FLICK_FAST_UP                        0x09
#define ST_FLICK_FAST_RIGHT                     0x0A
#define ST_FLICK_FAST_DOWN                      0x0B
#define ST_FLICK_FAST_LEFT                      0x0C

#define ST_CLICK                                0x0D
#define ST_DOUBLECLICK                          0x0E

#define MT_UP                                   0x10
#define MT_RIGHT                                0x11
#define MT_DOWN                                 0x12
#define MT_LEFT                                 0x13

#define ZOOM_IN                                 0x14
#define ZOOM_OUT                                0x15 
#define ROTATE_CLOCKWISE                        0x16
#define ROTATE_COUNTERCLOCKWISE                 0x17
  
#define ROTATE_ON                               1

  
BYTE TouchpathGestureEngine_GetGestureID(BYTE bTouchFingerCount);

void TouchpathGestureEngine_Initialize(void);
void TouchpathGestureEngine_SetDeltaXY(WORD wDeltaX, WORD wDeltaY,  WORD w_X1, WORD w_Y1, WORD w_X2,WORD w_Y2);

void TouchpathGestureEngine_SetXY(WORD posX0, WORD posY0);

#ifdef __cplusplus
};
#endif

#endif

